GET /api/v1/ports/p5.32-lwp-protocol-https/
HTTP 200 OK
Allow: GET, HEAD, OPTIONS
Content-Type: application/json
Vary: Accept

{
    "name": "p5.32-lwp-protocol-https",
    "portdir": "perl/p5-lwp-protocol-https",
    "version": "6.100.0",
    "license": "(Artistic-1 or GPL)",
    "platforms": "{darwin any}",
    "epoch": 0,
    "replaced_by": null,
    "homepage": "https://metacpan.org/pod/LWP::Protocol::https",
    "description": "LWP::Protocol::https - SSL support for libwww-perl",
    "long_description": "The LWP::Protocol::https module used to be bundled with p5-libwww-perl, but it was unbundled in v6.02 so that dependencies could be declared properly. Ports that need https support can just declare their dependency on p5-lwp-protocol-https and will no longer need to know what underlying modules to install.",
    "active": true,
    "categories": [
        "perl"
    ],
    "maintainers": [],
    "variants": [],
    "dependencies": [
        {
            "type": "build",
            "ports": [
                "p5.32-test-requiresinternet",
                "clang-14"
            ]
        },
        {
            "type": "lib",
            "ports": [
                "p5.32-libwww-perl",
                "perl5.32",
                "p5.32-net-http",
                "p5.32-mozilla-ca",
                "p5.32-io-socket-ssl"
            ]
        }
    ],
    "depends_on": [
        {
            "type": "build",
            "ports": [
                "p5.32-metacpan-client",
                "p5.32-starman",
                "p5.32-alien-wxwidgets"
            ]
        },
        {
            "type": "lib",
            "ports": [
                "p5.32-astro-spacetrack",
                "p5.32-bio-db-ncbihelper",
                "p5.32-cpan-uploader",
                "p5.32-crypt-ssleay",
                "p5.32-finance-quote",
                "p5.32-finance-quotehist",
                "p5.32-geo-webservice-elevation-usgs",
                "p5.32-net-github",
                "p5.32-net-twitter",
                "p5.32-net-twitter-lite",
                "p5.32-www-shorten-googl",
                "p5.32-amazon-s3",
                "p5.32-astro-simbad-client"
            ]
        }
    ]
}